package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author gfhd
 * @since 2024-05-20
 */
@TableName("equipment_model")
public class EquipmentModel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 名称
     */
    private String name;

    /**
     * 描述
     */
    private String description;

    /**
     * 容量
     */
    private BigDecimal powerProduction;

    /**
     * 厂商编号
     */
    private String manufacturer;

    /**
     * 切入风速
     */
    private BigDecimal cutinwindSpeed;

    /**
     * 额定风速
     */
    private BigDecimal ratedwindSpeed;

    /**
     * 切出风速
     */
    private BigDecimal cutoutwindSpeed;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public BigDecimal getPowerProduction() {
        return powerProduction;
    }

    public void setPowerProduction(BigDecimal powerProduction) {
        this.powerProduction = powerProduction;
    }

    public String getManufacturer() {
        return manufacturer;
    }

    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    public BigDecimal getCutinwindSpeed() {
        return cutinwindSpeed;
    }

    public void setCutinwindSpeed(BigDecimal cutinwindSpeed) {
        this.cutinwindSpeed = cutinwindSpeed;
    }

    public BigDecimal getRatedwindSpeed() {
        return ratedwindSpeed;
    }

    public void setRatedwindSpeed(BigDecimal ratedwindSpeed) {
        this.ratedwindSpeed = ratedwindSpeed;
    }

    public BigDecimal getCutoutwindSpeed() {
        return cutoutwindSpeed;
    }

    public void setCutoutwindSpeed(BigDecimal cutoutwindSpeed) {
        this.cutoutwindSpeed = cutoutwindSpeed;
    }

    @Override
    public String toString() {
        return "EquipmentModel{" +
            "id = " + id +
            ", name = " + name +
            ", description = " + description +
            ", powerProduction = " + powerProduction +
            ", manufacturer = " + manufacturer +
            ", cutinwindSpeed = " + cutinwindSpeed +
            ", ratedwindSpeed = " + ratedwindSpeed +
            ", cutoutwindSpeed = " + cutoutwindSpeed +
        "}";
    }
}
