package com.ruoyi.ucp.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.ucp.entity.StateAi;
import com.ruoyi.ucp.mapper.StateAiMapper;
import com.ruoyi.ucp.service.IStateAiService;
import org.springframework.cache.annotation.Cacheable;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gfhd
 * @since 2024-05-16
 */
@Service
@DataSource(DataSourceType.TAOS)
public class StateAiServiceImpl extends ServiceImpl<StateAiMapper, StateAi> implements IStateAiService {
    @Override
    @Cacheable("stateailist")
    public List<StateAi> list() {
        return super.list();
    }
}
